image: continuumio/miniconda3:4.7.12

before_script:
  - apt update && apt install -y gcc
  - conda init bash && source ~/.bashrc && echo $CONDA_DEFAULT_ENV
  - conda env create -f install/environment.root.yml
  - conda activate zarp && echo $CONDA_DEFAULT_ENV
  - conda env update -f install/environment.dev.yml

test:
  script:
    # add integration tests here
    - bash tests/test_integration_workflow_with_conda/test.local.sh
    - bash tests/test_create_dag_image/test.sh
    - bash tests/test_create_rule_graph/test.sh
    - bash tests/test_integration_workflow/test.local.sh
    - bash tests/test_integration_workflow_multiple_lanes/test.local.sh

